## org.eclipse.amp.amf.abase.services
Class ABaseGrammarAccess.ValueElements

    java.lang.Object
      org.eclipse.xtext.service.AbstractElementFinder
          org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
              org.eclipse.amp.amf.abase.services.ABaseGrammarAccess.ValueElements

All Implemented Interfaces:
  org.eclipse.xtext.IGrammarAccess.IAbstractRuleAccess, org.eclipse.xtext.IGrammarAccess.IParserRuleAccess

Enclosing class:
  ABaseGrammarAccess

    public class ABaseGrammarAccess.ValueElements

extends org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.xtext.service.AbstractElementFinder
`org.eclipse.xtext.service.AbstractElementFinder.AbstractEnumRuleElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractGrammarElementFinder, org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder`

Constructor Summary
`ABaseGrammarAccess.ValueElements()`

Method Summary
`org.eclipse.xtext.Alternatives` `getAlternatives()`
`org.eclipse.xtext.RuleCall` `getBooleanValueParserRuleCall_3()`
`org.eclipse.xtext.RuleCall` `getIntValueParserRuleCall_0()`
`org.eclipse.xtext.RuleCall` `getRealValueParserRuleCall_2()`
`org.eclipse.xtext.ParserRule` `getRule()`
`org.eclipse.xtext.RuleCall` `getStringValueParserRuleCall_1()`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder.AbstractParserRuleElementFinder
`getRules`

Methods inherited from class org.eclipse.xtext.service.AbstractElementFinder
`findAssignments, findByNestedRuleCall, findCrossReferences, findCrossReferences, findKeywordPairs, findKeywords, findRuleCalls`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ABaseGrammarAccess.ValueElements

    public ABaseGrammarAccess.ValueElements()

Method Detail

### getRule

    public org.eclipse.xtext.ParserRule getRule()

### getAlternatives

    public org.eclipse.xtext.Alternatives getAlternatives()

### getIntValueParserRuleCall_0

    public org.eclipse.xtext.RuleCall getIntValueParserRuleCall_0()

### getStringValueParserRuleCall_1

    public org.eclipse.xtext.RuleCall getStringValueParserRuleCall_1()

### getRealValueParserRuleCall_2

    public org.eclipse.xtext.RuleCall getRealValueParserRuleCall_2()

### getBooleanValueParserRuleCall_3

    public org.eclipse.xtext.RuleCall getBooleanValueParserRuleCall_3()